<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output xml:space="preserve"/>
<xsl:template match="/">
<xsl:value-of select="/character/@name"/>
Strength: <xsl:value-of select="//strength/@total"/> Dexterity: <xsl:value-of select="//dexterity/@total"/> Constitution: <xsl:value-of select="//constitution/@total"/>
Intelligence: <xsl:value-of select="//intelligence/@total"/> Perception: <xsl:value-of select="//perception/@total"/> Willpower: <xsl:value-of select="//willpower/@total"/>
Life Points: <xsl:value-of select="//lifepoints/@total"/>
<xsl:if test="count(//dramapoints) = 0">
Endurance: <xsl:value-of select="//endurance/@total"/>
Speed: <xsl:value-of select="//speed/@total"/>
Essence: <xsl:value-of select="//essence/@total"/>
<xsl:if test="count(//extrastats) &gt; 0">
Other: <xsl:value-of select="//extrastats"/></xsl:if></xsl:if>

Qualities and Drawbacks
<xsl:for-each select="//quality"><xsl:value-of select="@col0"/>: <xsl:value-of select="@col1"/>, </xsl:for-each>
        
Skills:
<xsl:for-each select="//skill"><xsl:value-of select="@col0"/>: <xsl:value-of select="@col1"/>, </xsl:for-each>
<xsl:if test="count(//meta) &gt; 0">

Metaphysics:
<xsl:for-each select="//meta"><xsl:value-of select="@col0"/>: <xsl:value-of select="@col1"/>, </xsl:for-each>
</xsl:if>
<xsl:if test="count(//altforms) &gt; 0">

Alternate Forms
<xsl:for-each select="//altforms/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>
</xsl:if>        
<xsl:if test="count(//equipment) &gt; 0">

Equipment
<xsl:for-each select="//equipment/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>
</xsl:if>

</xsl:template>
</xsl:stylesheet>